org.apache.hc.client5.http.methods

## Class HttpHead

- java.lang.Object
- - org.apache.hc.core5.http.message.HeaderGroup
  - - org.apache.hc.core5.http.message.AbstractHttpMessage
    - - org.apache.hc.client5.http.methods.AbstractExecutionAwareRequest
      - - org.apache.hc.client5.http.methods.HttpRequestBase
        - - org.apache.hc.client5.http.methods.HttpHead

All Implemented Interfaces:
  Serializable, Configurable, HttpExecutionAware, HttpUriRequest, org.apache.hc.core5.http.HttpMessage<org.apache.hc.core5.http.HttpEntity>, org.apache.hc.core5.http.HttpRequest, org.apache.hc.core5.http.MessageHead

    @NotThreadSafe
    public class HttpHead
    extends HttpRequestBase

HTTP HEAD method.

The HTTP HEAD method is defined in section 9.4 of RFC2616:

> The HEAD method is identical to GET except that the server MUST NOT return a message-body in the response. The metainformation contained in the HTTP headers in response to a HEAD request SHOULD be identical to the information sent in response to a GET request. This method can be used for obtaining metainformation about the entity implied by the request without transferring the entity-body itself. This method is often used for testing hypertext links for validity, accessibility, and recent modification.

Since:
  4.0
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `METHOD_NAME`

### Constructor Summary

Constructors
Constructor and Description
`HttpHead()`
`HttpHead(String uri)`
`HttpHead(URI uri)`

### Method Summary

Methods
`String` `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

### Methods inherited from class org.apache.hc.client5.http.methods.HttpRequestBase

`getConfig, getProtocolVersion, getRequestLine, getURI, releaseConnection, setConfig, setProtocolVersion, setURI, started, toString`

### Methods inherited from class org.apache.hc.client5.http.methods.AbstractExecutionAwareRequest

`abort, completed, isAborted, reset, setCancellable`

### Methods inherited from class org.apache.hc.core5.http.message.AbstractHttpMessage

`addHeader, getEntity, setEntity, setHeader`

### Methods inherited from class org.apache.hc.core5.http.message.HeaderGroup

`addHeader, clear, containsHeader, containsHeaders, getAllHeaders, getCondensedHeader, getFirstHeader, getHeaders, getLastHeader, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.hc.client5.http.methods.HttpUriRequest

`abort, isAborted`

### Methods inherited from interface org.apache.hc.core5.http.HttpMessage

`addHeader, addHeader, getEntity, removeHeader, removeHeaders, setEntity, setHeader, setHeader, setHeaders`

### Methods inherited from interface org.apache.hc.core5.http.MessageHead

`containsHeader, containsHeaders, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, headerIterator, headerIterator`

### Field Detail

#### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### HttpHead

    public HttpHead()

#### HttpHead

    public HttpHead(URI uri)

#### HttpHead

    public HttpHead(String uri)

Throws:
  `IllegalArgumentException` - if the uri is invalid.

### Method Detail

#### getMethod

    public String getMethod()

Description copied from interface: `HttpUriRequest`
Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

Specified by:
  `getMethod` in interface `HttpUriRequest`
Specified by:
  `getMethod` in class `HttpRequestBase`